<?php 
session_start();
$pTipoUtilizador = $_SESSION['tipoUtilizador'];
if ($pTipoUtilizador=="anonymous" || $pTipoUtilizador=="regular") { // separa por tipo de utilizador
  require('headersubUsers.inc');
  require('menusubUsers.inc');
  echo "<meta http-equiv='refresh' content='0; url=../users.php' />";
  exit;  // os anonimos não têem acesso a esta página
}
else {
  require('headersubAdmins.inc');
  require('menusubAdmins.inc');
}

// Trata da inserção de um novo resultado (o enunciado) na base de
// dados após o mesmo ter sido testado na secção interactiva.

?>


<hr/>



<?php
require('loginsub.php');
?>


<center>
<h3 class="maketitle">Geometric theorems insert Figure,  Proof and Description</h3>
</center>

<hr/>

<?php

$hoje=date("Y-m-d");
 

// selecciona o Id de utilizador para poder referênciar o ficheiro
// escrito na fase da avaliação.
$username = $_SESSION['username'];
// cria uma pesquisa
$sqlUserId = "SELECT userId,name,email
                FROM users
               WHERE username ='$username'";

$resultadoUserId = mysql_query($sqlUserId,$ligacao);

$linhaUserId = mysql_fetch_assoc($resultadoUserId);

$pUserId    = $linhaUserId['userId'];
$pUserName  = $linhaUserId['name'];
$pUserEmail = $linhaUserId['email'];


$vFilename = $_POST['filename'];
$vNameAux = '../Interaction/'.$vFilename;

$vProverId =  $_POST['proverId'];
// O tipo de provador vai determinar o tipo do desenhador
switch ($vProverId) {
 case 2:
   $vDrawerId=3; // GCLCprover => GCLC  
   break;
 case 3:
   $vDrawerId=2; // GCLCproverEuk => Eukleides
   break;
 case 4:
   $vDrawerId=2; // COQareaMethod => Eukleides
   break;
}

$codefile=fopen($vNameAux,"r");
$vCode=fread($codefile, filesize($vNameAux));
fclose($codefile);  

// A parte em que se mostra a informação já introduzida
echo "<!-- ficha -->";
echo "<form action='iInsertGeoThmFigPrf.php' method='post'>";
echo "<table width='100%' bgcolor='white' cellpadding='4' cellspacing='4'>";
echo "<tr>";
echo "<td width='100%' colspan='8' align='center'>
        <span class='titulo'>Geometric Problem Info</span>
      </td>";
echo "</tr>";
echo "<tr>";
echo "<td align='left' width='25%' colspan='2'><span class='ficha'>Name of the Theorem</span></td>";
echo "<td width='75%' colspan='6'><input type='text' name='TeoName' size='70' value=$pTeoName></td>";
//echo "<td align='left' width='12.5%' colspan='1'><span class='ficha'>Theorem's Id</span></td>";
//echo "<td width='12.5%' colspan='1'>$pTeoId</td>";
echo "</tr>";
echo "<tr>";
echo "<td width='25%' colspan='2'><span class='ficha'>Contributor's Name</span></td>";
echo "<td width='37.5%' colspan='3'>$pUserName</td>";
echo "<td width='12.5%' colspan='1'><span class='ficha'>Email</span></td>";
echo "<td width='25%' colspan='2'>$pUserEmail</td>";
echo "</tr>";
echo "<tr>";
echo "<td width='25%' colspan='2'><span class='ficha'>Bibliographic Reference</span></td>";
// select a bibref form a list of bibrefs
$sql_bibrefId = "SELECT bibrefId
                   FROM bibrefs
               ORDER BY bibrefId";
$resultado_bibrefId = mysql_query($sql_bibrefId,$ligacao);
echo "<td width='12.5%'><span class='entrada'><SELECT NAME='Bibref'>";
while ($linha_bibrefId = mysql_fetch_assoc($resultado_bibrefId)){
  $pBibrefId=trim($linha_bibrefId['bibrefId']);
  print "<option>$pBibrefId</option>\n"; 
 };
echo "</SELECT></td>";
echo "<td width='75%' colspan='6'>$pTeoBibRef</td>";
echo "</tr>";
echo "<tr>";
echo "<td width='25%' colspan='2'><span class='ficha'>Category</span> </td>";
echo "<td width='25%' colspan='2'><input type='text' name='Category' size='25' value='Geometry'></td>"; 
echo "<td width='25%' colspan='2'><span class='ficha'>Date of Submission</span></td>";
echo "<td width='25%' colspan='2'><input type='text' name='DateSubmission' size='25' value=$hoje></td>"; 
echo "</tr>";
echo "<tr>";
echo "<td width='25%' colspan='2'><span class='ficha'>Description (LaTeX code)</span></td>";
echo "<td width='75%' colspan='6'><TEXTAREA NAME='Description' ROWS='10' COLS='120'>\begin{geothm}[]

\end{geothm}</TEXTAREA></td>";
echo "</tr>  ";
//
// Inserção da Figura + Prova
//
// Inserção da Figura
//
echo "<tr>\n";
echo "<td width='100%' colspan='8' align='center'>
       <span class='titulo'>Figure's Info</span>
      </td>\n";
echo "</tr>\n";
echo "<tr>";
echo "<td align='left' width='12.5%'><span class='ficha'>Drawer Id</span></td>";
// A identificação do "Drawer" já vem definido
$sqlDrawerIdNameVersion = "SELECT drawerId,name,version
                             FROM drawers 
                            WHERE drawerId='$vDrawerId'";
$resultadoDrawerIdNameVersion = mysql_query($sqlDrawerIdNameVersion,$ligacao);
$linhaDrawerIdNameVersion= mysql_fetch_assoc($resultadoDrawerIdNameVersion);
$pDrawerId=trim($linhaDrawerIdNameVersion['drawerId']);
$pDrawerName=trim($linhaDrawerIdNameVersion['name']);
$pDrawerVersion=trim($linhaDrawerIdNameVersion['version']);
// o valor vai escondido, o utilizador não o pode alterar
echo "<input type='hidden' name='DrwIdNameVersion' size='25' value='$pDrawerId -- $pDrawerName -- $pDrawerVersion'></td>"; 
echo "<td width='25%' colspan='2'>$pDrawerId -- $pDrawerName -- $pDrawerVersion</td>"; 
// select a bibref form a list of bibrefs - for the drawing
echo "<td width='32.5%' colspan='3'>Bibliographic Reference</td>"; 
$sql_bibrefId = "SELECT bibrefId
                   FROM bibrefs
               ORDER BY bibrefId";
$resultado_bibrefId = mysql_query($sql_bibrefId,$ligacao);
echo "<td width='25%' colspan='2'><span class='entrada'><SELECT NAME='BibrefDrw'>";
while ($linha_bibrefId = mysql_fetch_assoc($resultado_bibrefId)){
  $pBibrefId=trim($linha_bibrefId['bibrefId']);
  if ($pBibrefId==$pTeoBibRef)
    print "<option selected>$pBibrefId</option>\n";
  else
    print "<option>$pBibrefId</option>\n"; 
 };
echo "</SELECT>";
echo "</td>"; 
echo "</tr>";
// O código para o programa de desenho
echo "<tr>";
echo "<td width='12.5%' colspan='1'><span class='ficha'>Drawer's Code</span></td>";
echo "<td width='87.5%' colspan='7'><TEXTAREA NAME='CodeDrw' ROWS='10' COLS='120'>$vCode </TEXTAREA></td>";
echo "</tr>";
//
// Inserção da Prova
//
echo "<tr>\n";
echo "<td width='100%' colspan='8' align='center'>
       <span class='titulo'>Conjecture's Info</span>
      </td>\n";
echo "</tr>\n";
echo "<td align='left' width='12.5%'><span class='ficha'>Prover Id</span></td>";
// A identificação do Prover vem de trás
$sqlProverIdNameVersion = "SELECT proverId,name,version
                             FROM provers
                            WHERE proverId='$vProverId'";
$resultadoProverIdNameVersion = mysql_query($sqlProverIdNameVersion,$ligacao);
$linhaPINV = mysql_fetch_assoc($resultadoProverIdNameVersion);
$pProverId=trim($linhaPINV['proverId']);
$pProverName=trim($linhaPINV['name']);
$pProverVersion=trim($linhaPINV['version']);
echo "<input type='hidden' name='PrvIdNameVersion' size='25' value='$pProverId -- $pProverName -- $pProverVersion'></td>"; 
echo "<td width='25%' colspan='2'>$pProverId -- $pProverName -- $pProverVersion</td>"; 
// select a bibref form a list of bibrefs - for the proof
echo "<td width='32.5%' colspan='3'>Bibliographic Reference</td>"; 
$sql_bibrefId = "SELECT bibrefId
                   FROM bibrefs
               ORDER BY bibrefId";
$resultado_bibrefId = mysql_query($sql_bibrefId,$ligacao);
echo "<td width='12.5%'><span class='entrada'><SELECT NAME='BibrefPrv'>";
while ($linha_bibrefId = mysql_fetch_assoc($resultado_bibrefId)){
  $pBibrefId=trim($linha_bibrefId['bibrefId']);
  if ($pBibrefId==$pTeoBibRef)
    print "<option selected>$pBibrefId</option>\n";
  else
    print "<option>$pBibrefId</option>\n"; 
 };
echo "</SELECT>";
echo "</td>"; 
echo "</tr>";
echo "<tr>";
echo "<td width='12.5%' colspan='1'><span class='ficha'>Code</span></td>";
echo "<td width='87.5%' colspan='7'><TEXTAREA NAME='CodePrv' ROWS='10' COLS='120'>$vCode</TEXTAREA></td>";
echo "</tr>";
//
// Informação comum a todas as entidades
//
// A data de submissão é a mesma
echo "<input type='hidden' name='DateSubmission' value=$hoje></td>";
// O utilizador é o mesmo
echo "<input type='hidden' name='UserId' value=$pUserId></td>";
// A informação acerca do Teorema ??? esta não faz sentido, é um novo
echo "<input type='hidden' name='TeoId' value=$pTeoId></td>";
// Botão de submissão
echo "<tr>";
echo "<td width='100%' colspan='8' align='center'><input type='submit' value='&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;insert info &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'></td>";
echo "</tr>  ";
echo "</form>";
echo "</table>";
?>





<hr/>

<?php
  require('footer.inc');
?>
